> For the complete documentation index, see [llms.txt](https://docs.4mica.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.4mica.xyz/api-reference/models.md).

# Models

## The JsonRpcRequest object

```json
{"openapi":"3.0.3","info":{"title":"4mica Services JSON-RPC API","version":"0.1.0-prealpha"},"components":{"schemas":{"JsonRpcRequest":{"type":"object","properties":{"jsonrpc":{"type":"string","enum":["2.0"]},"method":{"type":"string"},"params":{"type":"array"},"id":{"oneOf":[{"type":"string"},{"type":"integer"}]}},"required":["jsonrpc","method","id"]}}}}
```

## The JsonRpcError object

```json
{"openapi":"3.0.3","info":{"title":"4mica Services JSON-RPC API","version":"0.1.0-prealpha"},"components":{"schemas":{"JsonRpcError":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"data":{"type":"string"}},"required":["code","message"]}}}}
```

## The JsonRpcResponse\_CorePublicParameters object

```json
{"openapi":"3.0.3","info":{"title":"4mica Services JSON-RPC API","version":"0.1.0-prealpha"},"components":{"schemas":{"JsonRpcResponse_CorePublicParameters":{"type":"object","properties":{"jsonrpc":{"type":"string"},"id":{"oneOf":[{"type":"string"},{"type":"integer"}]},"result":{"$ref":"#/components/schemas/CorePublicParameters"},"error":{"$ref":"#/components/schemas/JsonRpcError"}}},"CorePublicParameters":{"type":"object","properties":{"public_key":{"type":"array","items":{"type":"integer"}}}},"JsonRpcError":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"data":{"type":"string"}},"required":["code","message"]}}}}
```

## The JsonRpcResponse\_UserInfo object

```json
{"openapi":"3.0.3","info":{"title":"4mica Services JSON-RPC API","version":"0.1.0-prealpha"},"components":{"schemas":{"JsonRpcResponse_UserInfo":{"type":"object","properties":{"jsonrpc":{"type":"string"},"id":{"oneOf":[{"type":"string"},{"type":"integer"}]},"result":{"oneOf":[{"$ref":"#/components/schemas/UserInfo"},{"type":"null"}]},"error":{"$ref":"#/components/schemas/JsonRpcError"}}},"UserInfo":{"type":"object","properties":{"deposit":{"type":"number"},"available_deposit":{"type":"number"},"transactions":{"type":"array","items":{"$ref":"#/components/schemas/UserTransactionInfo"}}}},"UserTransactionInfo":{"type":"object","properties":{"user_addr":{"type":"string"},"recipient_addr":{"type":"string"},"tx_hash":{"type":"string"},"amount":{"type":"number"},"verified":{"type":"boolean"},"finalized":{"type":"boolean"},"failed":{"type":"boolean"},"cert":{"type":"string","nullable":true},"created_at":{"type":"integer"}}},"JsonRpcError":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"data":{"type":"string"}},"required":["code","message"]}}}}
```

## The JsonRpcResponse\_PaymentCertificate object

```json
{"openapi":"3.0.3","info":{"title":"4mica Services JSON-RPC API","version":"0.1.0-prealpha"},"components":{"schemas":{"JsonRpcResponse_PaymentCertificate":{"type":"object","properties":{"jsonrpc":{"type":"string"},"id":{"oneOf":[{"type":"string"},{"type":"integer"}]},"result":{"$ref":"#/components/schemas/PaymentCertificate"},"error":{"$ref":"#/components/schemas/JsonRpcError"}}},"PaymentCertificate":{"type":"object","properties":{"claims":{"type":"string","description":"Hex-encoded JSON claims"},"signature":{"type":"string","description":"Hex-encoded BLS signature"}},"required":["claims","signature"]},"JsonRpcError":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"data":{"type":"string"}},"required":["code","message"]}}}}
```

## The JsonRpcResponse\_ArrayOfUserTransactionInfo object

```json
{"openapi":"3.0.3","info":{"title":"4mica Services JSON-RPC API","version":"0.1.0-prealpha"},"components":{"schemas":{"JsonRpcResponse_ArrayOfUserTransactionInfo":{"type":"object","properties":{"jsonrpc":{"type":"string"},"id":{"oneOf":[{"type":"string"},{"type":"integer"}]},"result":{"type":"array","items":{"$ref":"#/components/schemas/UserTransactionInfo"}},"error":{"$ref":"#/components/schemas/JsonRpcError"}}},"UserTransactionInfo":{"type":"object","properties":{"user_addr":{"type":"string"},"recipient_addr":{"type":"string"},"tx_hash":{"type":"string"},"amount":{"type":"number"},"verified":{"type":"boolean"},"finalized":{"type":"boolean"},"failed":{"type":"boolean"},"cert":{"type":"string","nullable":true},"created_at":{"type":"integer"}}},"JsonRpcError":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"data":{"type":"string"}},"required":["code","message"]}}}}
```

## The JsonRpcResponse\_TransactionVerificationResult object

```json
{"openapi":"3.0.3","info":{"title":"4mica Services JSON-RPC API","version":"0.1.0-prealpha"},"components":{"schemas":{"JsonRpcResponse_TransactionVerificationResult":{"type":"object","properties":{"jsonrpc":{"type":"string"},"id":{"oneOf":[{"type":"string"},{"type":"integer"}]},"result":{"$ref":"#/components/schemas/TransactionVerificationResult"},"error":{"$ref":"#/components/schemas/JsonRpcError"}}},"TransactionVerificationResult":{"type":"string","enum":["Verified","AlreadyVerified","NotFound"]},"JsonRpcError":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"data":{"type":"string"}},"required":["code","message"]}}}}
```

## The JsonRpcResponse\_PaymentVerificationResult object

```json
{"openapi":"3.0.3","info":{"title":"4mica Services JSON-RPC API","version":"0.1.0-prealpha"},"components":{"schemas":{"JsonRpcResponse_PaymentVerificationResult":{"type":"object","properties":{"jsonrpc":{"type":"string"},"id":{"oneOf":[{"type":"string"},{"type":"integer"}]},"result":{"$ref":"#/components/schemas/PaymentVerificationResult"},"error":{"$ref":"#/components/schemas/JsonRpcError"}}},"PaymentVerificationResult":{"type":"object","oneOf":[{"type":"object","properties":{"result":{"type":"string","enum":["Verified"]},"claims":{"$ref":"#/components/schemas/PaymentCertificate"}}},{"type":"object","properties":{"result":{"type":"string","enum":["AlreadyVerified"]},"claims":{"$ref":"#/components/schemas/PaymentCertificate"}}},{"type":"object","properties":{"result":{"type":"string","enum":["InvalidCertificate"]}}}]},"PaymentCertificate":{"type":"object","properties":{"claims":{"type":"string","description":"Hex-encoded JSON claims"},"signature":{"type":"string","description":"Hex-encoded BLS signature"}},"required":["claims","signature"]},"JsonRpcError":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"data":{"type":"string"}},"required":["code","message"]}}}}
```

## The JsonRpcResponse\_Null object

```json
{"openapi":"3.0.3","info":{"title":"4mica Services JSON-RPC API","version":"0.1.0-prealpha"},"components":{"schemas":{"JsonRpcResponse_Null":{"type":"object","properties":{"jsonrpc":{"type":"string"},"id":{"oneOf":[{"type":"string"},{"type":"integer"}]},"result":{"type":"null"},"error":{"$ref":"#/components/schemas/JsonRpcError"}}},"JsonRpcError":{"type":"object","properties":{"code":{"type":"integer"},"message":{"type":"string"},"data":{"type":"string"}},"required":["code","message"]}}}}
```

## The CorePublicParameters object

```json
{"openapi":"3.0.3","info":{"title":"4mica Services JSON-RPC API","version":"0.1.0-prealpha"},"components":{"schemas":{"CorePublicParameters":{"type":"object","properties":{"public_key":{"type":"array","items":{"type":"integer"}}}}}}}
```

## The UserTransactionInfo object

```json
{"openapi":"3.0.3","info":{"title":"4mica Services JSON-RPC API","version":"0.1.0-prealpha"},"components":{"schemas":{"UserTransactionInfo":{"type":"object","properties":{"user_addr":{"type":"string"},"recipient_addr":{"type":"string"},"tx_hash":{"type":"string"},"amount":{"type":"number"},"verified":{"type":"boolean"},"finalized":{"type":"boolean"},"failed":{"type":"boolean"},"cert":{"type":"string","nullable":true},"created_at":{"type":"integer"}}}}}}
```

## The UserInfo object

```json
{"openapi":"3.0.3","info":{"title":"4mica Services JSON-RPC API","version":"0.1.0-prealpha"},"components":{"schemas":{"UserInfo":{"type":"object","properties":{"deposit":{"type":"number"},"available_deposit":{"type":"number"},"transactions":{"type":"array","items":{"$ref":"#/components/schemas/UserTransactionInfo"}}}},"UserTransactionInfo":{"type":"object","properties":{"user_addr":{"type":"string"},"recipient_addr":{"type":"string"},"tx_hash":{"type":"string"},"amount":{"type":"number"},"verified":{"type":"boolean"},"finalized":{"type":"boolean"},"failed":{"type":"boolean"},"cert":{"type":"string","nullable":true},"created_at":{"type":"integer"}}}}}}
```

## The PaymentCertificate object

```json
{"openapi":"3.0.3","info":{"title":"4mica Services JSON-RPC API","version":"0.1.0-prealpha"},"components":{"schemas":{"PaymentCertificate":{"type":"object","properties":{"claims":{"type":"string","description":"Hex-encoded JSON claims"},"signature":{"type":"string","description":"Hex-encoded BLS signature"}},"required":["claims","signature"]}}}}
```

## The PaymentVerificationResult object

```json
{"openapi":"3.0.3","info":{"title":"4mica Services JSON-RPC API","version":"0.1.0-prealpha"},"components":{"schemas":{"PaymentVerificationResult":{"type":"object","oneOf":[{"type":"object","properties":{"result":{"type":"string","enum":["Verified"]},"claims":{"$ref":"#/components/schemas/PaymentCertificate"}}},{"type":"object","properties":{"result":{"type":"string","enum":["AlreadyVerified"]},"claims":{"$ref":"#/components/schemas/PaymentCertificate"}}},{"type":"object","properties":{"result":{"type":"string","enum":["InvalidCertificate"]}}}]},"PaymentCertificate":{"type":"object","properties":{"claims":{"type":"string","description":"Hex-encoded JSON claims"},"signature":{"type":"string","description":"Hex-encoded BLS signature"}},"required":["claims","signature"]}}}}
```

## The TransactionVerificationResult object

```json
{"openapi":"3.0.3","info":{"title":"4mica Services JSON-RPC API","version":"0.1.0-prealpha"},"components":{"schemas":{"TransactionVerificationResult":{"type":"string","enum":["Verified","AlreadyVerified","NotFound"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.4mica.xyz/api-reference/models.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
